Skip to main content
GET
/
v0
/
api
/
projects
/
{projectGroupId}
Error
A valid request URL is required to generate request examples
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "slug": "<string>",
  "filesystemVersion": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "devServerUrl": "<string>",
  "mobilePreviewUrl": "<string>",
  "publishedUrls": [
    "<string>"
  ],
  "latestPublishedUrl": "<string>",
  "files": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "slug": "<string>",
      "moduleType": "<string>",
      "pathSegment": "<string>",
      "path": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Use your Anything API key as the Basic auth username and leave the password empty. Example credentials: anything_xxx:

Path Parameters

projectGroupId
string<uuid>
required

Response

Project group info

id
string<uuid>
required
name
string
required
slug
string | null
required
filesystemVersion
string | null
required
platform
enum<string>
required
Available options:
web,
mobile,
both
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
devServerUrl
string | null
required
mobilePreviewUrl
string | null
required
publishedUrls
string[]
required

Public URLs where the app is served once published: custom domains when configured, otherwise the hosted Anything domain.

latestPublishedUrl
string | null
required

Public URL of the live app. Null if the project has never been successfully published.

files
object[]
required